Returns all document spaces.

GEThttps://api.awork.com/api/v1/documentspaces
GET https://api.awork.com/api/v1/documentspaces

Returns document spaces visible to the current user.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

namestring or nullOptional

The name of the document space.

isExternalbooleanOptional

Whether this document space is coming from an external workspace (awork Connect).

emojistring or nullOptional

The emoji of the document space.

colorstring or nullOptional

The color of the document space for display purposes in the app. Can be null when no color assigned.

ordernumber or nullOptional
format: double

The order of the document space in the list of document spaces.

workspaceAccessLevelstring or nullOptional

Determines the level of access to this document space granted to all workspace users. Can be either not set (no access), read, or manage.

contributorsarray of object or nullOptional

The contributors of this document space.

Show 7 properties
idstringOptional
format: uuid

The id of the contributor.

userIdstringOptional
format: uuid

The id of the user this contributor references.

accessLevelstring or nullOptional

Determines the level of access granted to this contributor with respect to the specific entity. Can be either set to read or manage.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

isDeactivatedbooleanOptional

Whether the user is deactivated.

teamsarray of object or nullOptional

The teams this document space is connected to.

Show 6 properties
idstringOptional
format: uuid

The id of the entity to team.

teamIdstringOptional
format: uuid

The id of the team this entity to team references.

accessLevelstring or nullOptional

Determines the level of access granted to this entity to team with respect to the specific entity. Can be either set to read or manage.

namestring or nullOptional

The name of the team.

iconstring or nullOptional

The icon which is assigned to the team.

colorstring or nullOptional

The color of the team.

Search documentation